<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
>
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>
<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Update profile</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Update profile</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Update Profile Section ======= -->
    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Update your details by filling out the form
                    below</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/profile/update/__${id}__}" th:object="${updateUserDto}" method="post"
                          enctype="multipart/form-data" role="form"
                          class="php-email-form">
                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"></i>
                        </p>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="first-name"><b>First name</b></label>
                                <label th:errors="*{firstName}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{firstName}" type="text" name="first-name" class="form-control"
                                       id="first-name"
                                       placeholder="Enter your first name"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="last-name"><b>Last name</b></label>
                                <label th:errors="*{lastName}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{lastName}" type="text" name="lastName" class="form-control"
                                       id="last-name"
                                       placeholder="Enter your last name"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="phone"><b>Phone number</b></label>
                                <label th:errors="*{phone}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{phone}" type="text" name="phone" class="form-control"
                                       id="phone"
                                       placeholder="Enter your phone"
                                       required/>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-6">
                                <label for="vehicle-registration-image"><b>Profile picture</b></label>
                                <div class="custom-file mb-3">
                                    <input th:field="*{picture}" type="file" class="custom-file-input"
                                           id="vehicle-registration-image" name="filename">
                                    <label class="custom-file-label" for="vehicle-registration-image">Choose
                                        file... [Max 20mb]</label>
                                </div>
                            </div>
                        </div>

                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message"></div>
                        </div>
                        <div class="text-center">
                            <button type="submit">Save</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Update Profile Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script src="/assets/js/file-upload.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("profile-active")
    offer.classList.add("active")

</script>

</body>
</html>